require 'rails_helper'

module IntegrationPal
  RSpec.describe Job, type: :model do

    describe 'validations' do
      it 'requires a worker' do
        expect(build(:integration_pal_job, worker: nil)).to_not be_valid
      end

      it 'requires a valid status' do
        expect(build(:integration_pal_job, status: 'fake_status')).to_not be_valid
      end

      it 'is valid with all attributes' do
        expect(build(:integration_pal_job)).to be_valid
      end

    end
  end
end
