require 'rails_helper'

module IntegrationPal
  RSpec.describe Task, type: :model do
    describe 'validations' do
      it 'requires a worker' do
        expect(build(:integration_pal_task, job: nil)).to_not be_valid
      end

      it 'requires a valid status' do
        expect(build(:integration_pal_task, status: 'fake_status')).to_not be_valid
      end

      it 'is valid with all attributes' do
        expect(build(:integration_pal_task)).to be_valid
      end

    end
  end
end
