require 'rails_helper'

module IntegrationPal
  RSpec.describe Worker, type: :model do

    describe 'validations' do
      it 'requires a name' do
        expect(build(:integration_pal_worker, name: nil)).to_not be_valid
      end

      it 'requires a access_id' do
        expect(build(:integration_pal_worker, access_id: nil)).to_not be_valid
      end

      it 'requires a name' do
        expect(build(:integration_pal_worker, secret_key: nil)).to_not be_valid
      end

      it 'requires a name' do
        expect(build(:integration_pal_worker, job_type: nil)).to_not be_valid
      end

      it 'is valid with all attributes' do
        expect(build(:integration_pal_worker)).to be_valid
      end

    end
  end
end
